/*--------------------------------------------------------------------------------*/
/* PROJET ISIMA 2ème année F2 : Représentation de Texture			              */
/* Fichier capture.h qui définit le prototypes des fonctions de captures videos   */
/*--------------------------------------------------------------------------------*/

/* Systems routimes																  */
#include <iostream>
#include <time.h>

/* we need openGL routines														  */
#include "glut_os.h"

/* video stream processing fonctions											   */
#include "avilib.h"

#include "include/fitsio.h"
#include "include/fitsio2.h"
//#include "include/drvrsmem.h"
#include "include/longnam.h"

#include "tr.h"
#include "objects.h"

avi_t * openMovie() ;
void closeMovie(avi_t *) ;
void addFrame(avi_t *) ;
void dobmp_TGA();
void dobmp_FITS();
void dobmp_FITS_name(char *name);
void faireCaptureImage(void) ;
void captureAuto(void);
void faireRotationLibre() ;


